import type { DiffOptions } from '..';
import type { SdkProvider } from '../../../api/aws-auth/private';
import type { StackCollection } from '../../../api/cloud-assembly/stack-collection';
import type { Deployments } from '../../../api/deployments';
import type { TemplateInfo } from '../../../api/diff';
import type { IoHelper } from '../../../api/io/private';
export declare function prepareDiff(ioHelper: IoHelper, stacks: StackCollection, deployments: Deployments, sdkProvider: SdkProvider, options: DiffOptions): Promise<TemplateInfo[]>;
/**
 * Appends all properties from obj2 to obj1.
 * obj2 values take priority in the case of collisions.
 *
 * @param obj1 - The object to modify
 * @param obj2 - The object to consume
 *
 * @returns obj1 with all properties from obj2
 */
export declare function appendObject<T>(obj1: {
    [name: string]: T;
}, obj2: {
    [name: string]: T;
}): {
    [name: string]: T;
};
