import '../../../private/dispose-polyfill';
import type * as cxapi from '@aws-cdk/cx-api';
import type { IReadableCloudAssembly } from '../types';
/**
 * An implementation of `IReadableCloudAssembly` that does nothing except hold on to the CloudAssembly object
 *
 * It does not own a lock, and it does not clean the underlying directory.
 */
export declare class BorrowedAssembly implements IReadableCloudAssembly {
    readonly cloudAssembly: cxapi.CloudAssembly;
    constructor(cloudAssembly: cxapi.CloudAssembly);
    _unlock(): Promise<void>;
    dispose(): Promise<void>;
    [Symbol.asyncDispose](): Promise<void>;
}
