import type { DescribeStackResourceDriftsCommandOutput } from '@aws-sdk/client-cloudformation';
import type { ICloudFormationClient } from '../aws-auth/private';
import type { IoHelper } from '../io/private';
/**
 * Detect drift for a CloudFormation stack and wait for the detection to complete
 *
 * @param cfn - a CloudFormation client
 * @param ioHelper - helper for IO operations
 * @param stackName - the name of the stack to check for drift
 * @returns the CloudFormation description of the drift detection results
 */
export declare function detectStackDrift(cfn: ICloudFormationClient, ioHelper: IoHelper, stackName: string): Promise<DescribeStackResourceDriftsCommandOutput>;
