import type { Environment } from '@aws-cdk/cx-api';
import type { CloudFormationStack } from './cloudformation';
import { ResourceMapping } from './cloudformation';
export interface RefactorManagerOptions {
    environment: Environment;
    localStacks: CloudFormationStack[];
    deployedStacks: CloudFormationStack[];
    mappings?: ResourceMapping[];
    filteredStacks?: CloudFormationStack[];
}
/**
 * Encapsulates the information for refactoring resources in a single environment.
 */
export declare class RefactoringContext {
    private readonly _mappings;
    private readonly ambiguousMoves;
    readonly environment: Environment;
    constructor(props: RefactorManagerOptions);
    get isAmbiguous(): boolean;
    get ambiguousPaths(): [string[], string[]][];
    get mappings(): ResourceMapping[];
}
