import type { CloudFormationStack } from './cloudformation';
/**
 * An immutable directed graph of resources from multiple CloudFormation stacks.
 */
export declare class ResourceGraph {
    private readonly edges;
    private readonly reverseEdges;
    constructor(stacks: Omit<CloudFormationStack, 'environment'>[]);
    /**
     * Returns the sorted nodes in topological order.
     */
    get sortedNodes(): string[];
    inNeighbors(node: string): string[];
    outNeighbors(node: string): string[];
}
