import type { TypedMapping } from '@aws-cdk/cloudformation-diff';
import type * as cxapi from '@aws-cdk/cx-api';
import type { SdkProvider } from '../aws-auth/private';
import type { CloudFormationStack } from './cloudformation';
import { ResourceMapping } from './cloudformation';
import type { MappingGroup } from '../../actions';
export * from './exclude';
export declare function usePrescribedMappings(mappingGroups: MappingGroup[], sdkProvider: SdkProvider): Promise<ResourceMapping[]>;
export declare function getDeployedStacks(sdkProvider: SdkProvider, environment: cxapi.Environment): Promise<CloudFormationStack[]>;
export declare function formatMappingsHeader(): string;
export declare function formatTypedMappings(environment: cxapi.Environment, mappings: TypedMapping[]): string;
export declare function formatAmbiguitySectionHeader(): string;
export declare function formatAmbiguousMappings(environment: cxapi.Environment, paths: [string[], string[]][]): string;
